#
# spec file for package FlightGear-data
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           FlightGear-data
Version:        2016.1.1
Release:        1.1
Summary:        FlightGear base scenery and data files
License:        GPL-2.0
Group:          Amusements/Games/3D/Simulation
Url:            http://www.flightgear.org/
Source0:        http://downloads.sourceforge.net/project/flightgear/release-2016.1/FlightGear-%{version}-data.tar.bz2
NoSource:       0
BuildRequires:  fdupes
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the base scenery and aircraft for FlightGear.
It must be installed together with the FlightGear flight simulator package.

%prep

%build

%install
install -d %{buildroot}%{_datadir}/flightgear
cd %{buildroot}%{_datadir}/flightgear
tar -jxf %{SOURCE0} --strip-components 1

# cleanup temporary files and fix permissions
find "(" -name '.gitignore' -name '*#*' -o -name "*.bak" ")" -delete
find -type f -exec chmod 0644 "{}" "+"

# fix files not in utf-8
for path in Thanks Docs/README.xmlparticles; do
  iconv -f iso-8859-1 -t utf-8 -o "$path.utf8" "$path"
  mv -f "$path.utf8" "$path"
done

# put documentation and license in the proper location
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
for f in COPYING AUTHORS NEWS README Thanks; do
  mv "$f" "%{buildroot}%{_defaultdocdir}/%{name}"
done

%fdupes %{buildroot}/%{_datadir}

%files
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}
%{_datadir}/flightgear/

%changelog
* Sun Mar 20 2016 bosim@opensuse.org
- Added SourceURL
* Mon Mar 14 2016 bosim@opensuse.org
- Update to 2016.1.1
* Wed Nov 25 2015 rpm@fthiessen.de
- Update to 3.7.0
* Mon Sep 23 2013 Mathias.Homann@opensuse.org
- update to 2.12.0
* Tue Mar 19 2013 joop.boonen@opensuse.org
- update to 2.10.0
* Thu Aug 23 2012 thorstenb@flightgear.org
- Fix "OpenGL error 'invalid operation'" error and crash with some
  graphics cards (FlightGear fgdata commit #6b76ef1a)
* Fri Aug 17 2012 thorstenb@flightgear.org
- update to 2.8.0
* Fri Feb 17 2012 thorstenb@flightgear.org
- update to 2.6.0
- fixed FlightGear help system
* Tue Sep  6 2011 highwaystar.ru@gmail.com
- data moved /usr/share/FlightGear -> /usr/share/flightgear
* Tue Sep  6 2011 highwaystar.ru@gmail.com
- update to 2.4.0
- added fdupes macro
* Mon Mar  1 2010 prusnak@suse.cz
- updated to 2.0.0
- apply fixes from Fedora package by Fabrice Bellet <fabrice@bellet.info>
* Fri Jan  4 2008 lmichnovic@suse.cz
- patched tarball with upstream patch fixing mp chat
* Thu Jan  3 2008 lmichnovic@suse.cz
- update to version 1.0.0
* Wed Nov 28 2007 lmichnovic@suse.cz
- update to 0.9.11-pre2 version
* Thu Nov 22 2007 lmichnovic@suse.cz
- updated data from CVS
